import request from '@/utils/request'

export function spreadList(data) {
	return request({
		url: '/api/user/spreadList',
		method: 'get',
		data
	});
}
export function moneyInfo(id) {
	return request({
		url: `/api/user/moneyInfo/token/${id}`,
		method: 'get',
	});
}
export function exchange(data) {
	return request({
		url: '/api/user/exchange',
		method: 'post',
		data
	});
}
export function mining(data) {
	return request({
		url: '/api/mining/lst',
		method: 'get',
		data
	});
}
export function detail(id) {
	return request({
		url: `/api/mining/detail/id/${id}`,
		method: 'get',
	});
}
export function myList(data) {
	return request({
		url: '/api/mining/myList',
		method: 'get',
		data
	});
}
export function order(data) {
	return request({
		url: '/api/mining/order',
		method: 'POST',
		data
	});
}

export function getTokenLog(data) {
	return request({
		url: '/api/user/getTokenLog',
		method: 'get',
		data
	});
}
// 首页代币价格
export function prices(data) {
	return request({
		url: '/api/prices',
		method: 'get',
		data
	});
}


export function getIndex(data) {
	return request({
		url: '/api/index',
		method: 'get',
		data
	});
}
// #ifndef MP
/**
 * 版本号
 */
export function getAppVersion(data) {
	return request({
		url: '/api/version',
		method: 'get',
		data
	});
}
// #endif
export function getIndexs(data) {
	return request({
		url: '/api/user/index',
		method: 'get',
		data
	});
}
export function coin(data) {
	return request({
		url: '/api/user/chargeBNBCalculator',
		method: 'POST',
		data
	});
}
export function chargeBNB(data) {
	return request({
		url: '/api/user/chargeBNB',
		method: 'POST',
		data
	});
}
export function extractCalculator(data) {
	return request({
		url: '/api/user/extractCalculator',
		method: 'POST',
		data
	});
}
export function extract(data) {
	return request({
		url: '/api/user/extract',
		method: 'POST',
		data
	});
}
export function indexAll(data) {
	return request({
		url: '/api/index',
		method: 'POST',
		data
	});
}

// mayi的铸币
export function chargeCalculator(data) {
	return request({
		url: '/api/user/chargeCalculator',
		method: 'POST',
		data
	});
}
export function charge(data) {
	return request({
		url: '/api/user/charge',
		method: 'POST',
		data
	});
}

export function transferDate(data) {
	return request({
		url: '/api/index/transferDate',
		method: 'POST',
		data
	});
}
export function childrenList(data) {
	return request({
		url: '/api/user/childrenList',
		method: 'get',
		data
	});
}